Subject: Re: [patch net-next 01/10] genetlink: don't merge dumpit split op for different cmds into single iter

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Oct 2023 09:47:02 -0700

On Wed, 11 Oct 2023 13:27:05 +0200 Jiri Pirko wrote:
> >Yeah, we need fixes semantics written down somewhere.
> >I can do it, sure.  
> 
> I found 2 mentions that relate to netdev regarging Fixes:
> 
> Quoting Documentation/process/submitting-patches.rst:
> If your patch fixes a bug in a specific commit, e.g. you found an issue using
> ``git bisect``, please use the 'Fixes:' tag with the first 12 characters of
> the SHA-1 ID, and the one line summary. 
> 
> Quoting Documentation/process/maintainer-netdev.rst:
>  - for fixes the ``Fixes:`` tag is required, regardless of the tree
> 
> This patch fixes a bug, sure, bug is not hit by existing code, but still
> it is present.
> 
> Why it is wrong to put "Fixes" in this case?
> Could you please document this?

I think you're asking me to document what a bug is because the existing
doc clearly says Fixes is for bugs. If the code does not misbehave,
there is no bug.